Skip to main content
POST
/
input-fields
Create an input field
curl --request POST \
  --url https://api.qminder.com/input-fields \
  --header 'Content-Type: application/json' \
  --header 'X-Qminder-API-Version: <x-qminder-api-version>' \
  --header 'X-Qminder-REST-API-Key: <api-key>' \
  --data '
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "location": {
    "id": 12345
  },
  "type": "TEXT",
  "title": "Reason for visit",
  "isMandatoryBeforeAdded": true,
  "isMandatoryBeforeServed": false,
  "isMandatoryInRemoteSignIn": false,
  "isVisibleInWaitingDrawer": true,
  "isVisibleInServingDrawer": true,
  "showInRemoteSignIn": true,
  "visibleForLines": []
}
'

Authorizations

X-Qminder-REST-API-Key
string
header
default:yourbusinessapikey
required

Headers

X-Qminder-API-Version
enum<string>
default:2020-09-01
required

API version. Must be set to 2020-09-01.

Available options:
2020-09-01

Body

application/json
id
string<uuid>
required

Client-generated UUID for the input field.

location
object
required

Location reference.

type
enum<string>
required

Input field type.

Available options:
FIRST_NAME,
LAST_NAME,
EMAIL,
PHONE_NUMBER,
TEXT,
SELECT,
URL,
DATE,
NUMERIC
isMandatoryBeforeAdded
boolean
required

Must be filled before ticket is added.

isMandatoryBeforeServed
boolean
required

Must be filled before ticket is served.

isMandatoryInRemoteSignIn
boolean
required

Must be filled in remote sign-in.

isVisibleInWaitingDrawer
boolean
required

Shown in the waiting drawer.

isVisibleInServingDrawer
boolean
required

Shown in the serving drawer.

showInRemoteSignIn
boolean
required

Show in remote sign-in. Always treated as false for URL fields.

visibleForLines
object[]
required

Lines this field applies to. Empty array means all lines.

title
string

Display title. Required for TEXT, SELECT, URL, DATE, and NUMERIC types.

visitorFacingTitle
string

Title shown to visitors. Available for TEXT, SELECT, DATE, and NUMERIC types.

multiSelect
boolean

Allow multiple selections. Required for SELECT type.

options
object[]

Select options. Required for SELECT type.

constraints
object

Numeric constraints. Available for NUMERIC type.

translations
object[]

Translations. Available for TEXT, SELECT, URL, DATE, and NUMERIC types.

isRequiredInAppointments
boolean

Whether required in appointments. Available for LAST_NAME and EMAIL types.

Response

Input field created successfully. Response body is empty.